summaryrefslogtreecommitdiffstats
path: root/dvm
diff options
context:
space:
mode:
Diffstat (limited to 'dvm')
-rwxr-xr-xdvm/3557/testcase31
-rwxr-xr-xdvm/764030/testcase15
-rwxr-xr-xdvm/764579/testcase22
3 files changed, 68 insertions, 0 deletions
diff --git a/dvm/3557/testcase b/dvm/3557/testcase
new file mode 100755
index 0000000..423e71d
--- /dev/null
+++ b/dvm/3557/testcase
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+function _init ()
+{
+ source $cwd/regression_helpers;
+}
+
+function glustershd_no_gfid ()
+{
+ $GLUSTERFSDIR/gluster volume create --mode=script $global_bug_id replica 2 $(hostname):$EXPORT_DIR/$global_bug_id/export1 $(hostname):$EXPORT_DIR/$global_bug_id/export2 &>/dev/null;
+
+ touch $EXPORT_DIR/$global_bug_id/export1/{1..10};
+
+ $GLUSTERFSDIR/gluster volume start $global_bug_id &>/dev/null;
+
+ ps aux | grep glusterfs | grep glustershd &>/dev/null;
+
+ if [ $? -ne 0 ]; then
+ return 1;
+ fi
+
+ $GLUSTERFSDIR/gluster volume heal $global_bug_id &>/dev/null;
+
+ ps aux | grep glusterfs | grep glustershd &>/dev/null;
+
+ if [ $? -ne 0 ]; then
+ return 1;
+ fi
+}
+
+_init ; glustershd_no_gfid \ No newline at end of file
diff --git a/dvm/764030/testcase b/dvm/764030/testcase
new file mode 100755
index 0000000..6db9aca
--- /dev/null
+++ b/dvm/764030/testcase
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+source $cwd/regression_helpers
+
+
+$GLUSTERFSDIR/gluster volume create $global_bug_id\
+ $(hostname):$EXPORT_DIR/$global_bug_id/brick1 \
+ $(hostname):$EXPORT_DIR/$global_bug_id/brick2 2>/dev/null 1>/dev/null
+
+$GLUSTERFSDIR/gluster --mode=script volume remove-brick $global_bug_id\
+ $(hostname):$EXPORT_DIR/$global_bug_id/brick1 \
+ $(hostname):$EXPORT_DIR/$global_bug_id/brick2 \
+ | grep 'Deleting all the bricks of the volume is not allowed' 1>/dev/null
+
+exit $?
diff --git a/dvm/764579/testcase b/dvm/764579/testcase
new file mode 100755
index 0000000..70b15c1
--- /dev/null
+++ b/dvm/764579/testcase
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+source $cwd/regression_helpers
+
+brick=`perl -e 'print "thisisbrickname"x40'`
+longpath=`perl -e 'print "/reallylong/"x50'`
+
+mkdir -p $EXPORT_DIR/$global_bug_id/$longpath
+
+# This check is for NAME_MAX
+name_status=$($GLUSTERFSDIR/gluster volume create $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/$brick\
+ |grep 'too long'|wc -l )
+
+# This check is for PATH_MAX
+path_status=$($GLUSTERFSDIR/gluster volume create $global_bug_id \
+ $(hostname):$EXPORT_DIR/$global_bug_id/$longpath/brick1|grep 'too long'|wc -l)
+
+if [ $name_status -ne 1 -o $path_status -ne 1 ]; then
+ exit 1
+else
+ exit 0
+fi